%define name	perl-OpenCA-TRIStateCGI
%define version	1.5.5
%define release	5mdk

Summary:	CGI query handling for OpenCA
Name: 		%{name}
Version: 	%{version}
Release:	%{release} 
License:        BSD-like
Group: 		Development/Perl
URL:		http://www.cpan.org
Source:		OpenCA-TRIStateCGI-%{version}.tar.bz2
BuildRequires:	perl-devel
BuildRequires:	perl-CGI
BuildArch:	noarch
BuildRoot: 	%{_tmppath}/%{name}-buildroot

%description
This module provides an object-oriented management system for CGI
query handling for the OpenCA Project.

This product includes OpenCA software written by Massimiliano Pala
(madwolf@openca.org) and the OpenCA Group (www.openca.org)

%prep

%setup -q -n OpenCA-TRIStateCGI-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%makeinstall_std

%clean 
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc Changes LICENSE MANIFEST README
%{perl_vendorlib}/OpenCA/TRIStateCGI.pm
%{perl_vendorlib}/OpenCA/TRIStateCGI.pod
%{_mandir}/*/*

%changelog
* Fri Sep 09 2005 Oden Eriksson <oeriksson@mandriva.com> 1.5.5-5mdk
- rebuild

* Wed Sep 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.5.5-4mdk
- new tarball, same version

* Thu Aug 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.5.5-3mdk
- new tarball, same version

* Sun Jul 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.5.5-2mdk
- built for cooker

* Wed Apr 21 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.5.5-1mdk
- initial package
